from pymongo import MongoClient
import os

class db_conn:
    def __init__(self):
        self.db_user = os.getenv('MONGO_USER')
        self.db_pass = os.getenv('MONGO_PASS')
        self.db_host = os.getenv('MONGO_HOST')
        self.client = self.get_client()
        self.db = self.client['beer_db']
        self.beer_db = self.db['wine_data']
        self.users  = self.db['users']
        self.inspections = self.db['inspections_db']

    def get_client(self):
        CONNECTION_STRING = f"mongodb://{self.db_user}:{self.db_pass}@{self.db_host}/beer_db?authSource=admin"
        return MongoClient(CONNECTION_STRING)


